# $Revision: 1.45 $, $Date: 2007/03/31 21:36:28 $
Summary:	rsh client and rcp command
Summary(pl.UTF-8):	Klient rsh i polecenie rcp
Name:		rsh
Version:	0.17
Release:	13
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	65f5f28e2fe22d9ad8b17bb9a10df096
Source1:	rexec.pamd
Source2:	rlogin.pamd
Source3:	%{name}.pamd
Source4:	rexec-1.5.tar.gz
# Source4-md5:	17c2b2fa2aed6af7e0b850673d5ef1f9
Source5:	rlogind.inetd
Source6:	%{name}d.inetd
Source7:	rexec.inetd
Patch0:		netkit-%{name}-sectty.patch
Patch1:		netkit-%{name}-rexec.patch
Patch2:		netkit-%{name}-stdarg.patch
Patch3:		netkit-%{name}-install.patch
Patch4:		netkit-%{name}-jbj2.patch
Patch5:		netkit-%{name}-pam-link.patch
Patch6:		netkit-%{name}-prompt.patch
Patch7:		netkit-%{name}-rlogin=rsh.patch
Patch8:		netkit-%{name}-nokrb.patch
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	pam >= 0.99.7.1
Obsoletes:	heimdal-rsh
Obsoletes:	krb5-rsh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rsh package contains programs which allow users to run commmands
on remote machines (rsh) and copy files between machines (rcp).

%description -l pl.UTF-8
Pakiet rsh zawiera program pozwalający użytkownikom na uruchamianie
poleceń na zdalnych maszynach (rsh) i kopiowanie plików między
maszynami (rcp).

%package -n rshd
Summary:	Servers for rsh
Summary(pl.UTF-8):	Serwery dla rsh
Group:		Applications/Networking
Requires:	pam >= 0.99.7.1
Requires:	rc-inetd
Obsoletes:	heimdal-rshd
Obsoletes:	krb5-kshd
Obsoletes:	rsh-server

%description -n rshd
The rshd package contains a server which allow users to run commmands
from remote machines (rsh) and copy files between machines (rcp).

%description -n rshd -l pl.UTF-8
Pakiet rshd zawiera serwer pozwalający użytkownikom uruchamiać
polecenia ze zdalnych maszyn (rsh) oraz kopiować pliki między
maszynami (rcp).

%package -n rlogin
Summary:	rlogin client
Summary(pl.UTF-8):	Klient rlogin
Group:		Applications/Networking
Obsoletes:	heimdal-rlogin
Obsoletes:	krb5-rlogin

%description -n rlogin
The rlogin package contains a program which allow users to login on
remote machines (rlogin).

%description -n rlogin -l pl.UTF-8
Pakiet rlogin zawiera program pozwalający użytkownikom na logowanie
się na zdalne maszyny (rlogin).

%package -n rlogind
Summary:	Servers for rlogin
Summary(pl.UTF-8):	Serwer rlogin
Group:		Applications/Networking
Requires:	login
Requires:	pam >= 0.99.7.1
Requires:	rc-inetd
Obsoletes:	heimdal-rlogin
Obsoletes:	krb5-klogind
Obsoletes:	rsh-server

%description -n rlogind
The rlogind package contains a server which allow users to login from
remote machines.

%description -n rlogind -l pl.UTF-8
Pakiet rlogind zawiera serwer pozwalający użytkownikom logować się ze
zdalnych maszyn.

%package -n rexec
Summary:	rexec client
Summary(pl.UTF-8):	Klient rexec
Group:		Applications/Networking
Obsoletes:	rsh-server

%description -n rexec
The rexec package contains a program which allow users to execute
programs on remote machines (rexec).

%description -n rexec -l pl.UTF-8
Pakiet rexec zawiera program pozwalający użytkownikom uruchamiać
programy na zdalnych maszynach (rexec).

%package -n rexecd
Summary:	Servers for rexec
Summary(pl.UTF-8):	Serwer rexec
Group:		Applications/Networking
Requires:	pam >= 0.99.7.1
Requires:	rc-inetd

%description -n rexecd
The rexecd package contains a server which allow users to execute
programs from remote machines (rexec).

%description -n rexecd -l pl.UTF-8
Pakiet rexecd zawiera serwer pozwalający użytkownikom na uruchamianie
programów ze zdalnych maszyn (rexec).

%prep
%setup -q -n netkit-%{name}-%{version} -a4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

# No, I don't know what this is doing in the tarball.
rm -f rexec/rexec

%build
./configure \
	--with-c-compiler="%{__cc}"
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/pam.d,%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/rexec
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/rlogin
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/rsh
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rlogind
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rshd
install %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rexec

mv -f $RPM_BUILD_ROOT%{_mandir}/rexec* $RPM_BUILD_ROOT%{_mandir}/man1/

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{rexec,rlogin,rsh}d.8

echo ".so in.rexecd.8" >$RPM_BUILD_ROOT%{_mandir}/man8/rexecd.8
echo ".so in.rlogind.8" >$RPM_BUILD_ROOT%{_mandir}/man8/rlogind.8
echo ".so in.rshd.8" >$RPM_BUILD_ROOT%{_mandir}/man8/rshd.8

%clean
rm -rf $RPM_BUILD_ROOT

%post -n rshd
%service -q rc-inetd reload

%postun -n rshd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post -n rlogind
%service -q rc-inetd reload

%postun -n rlogind
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post -n rexecd
%service -q rc-inetd reload

%postun -n rexecd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/rsh
%attr(4755,root,root) %{_bindir}/rcp
%{_mandir}/man1/rsh.1*
%{_mandir}/man1/rcp.1*

%files -n rshd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/rsh
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rshd
%attr(755,root,root) %{_sbindir}/in.rshd
%{_mandir}/man8/in.rshd.8*
%{_mandir}/man8/rshd.8*

%files -n rlogin
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/rlogin
%{_mandir}/man1/rlogin.1*

%files -n rlogind
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/rlogin
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rlogind
%attr(755,root,root) %{_sbindir}/in.rlogind
%{_mandir}/man8/in.rlogind.8*
%{_mandir}/man8/rlogind.8*

%files -n rexec
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rexec
%{_mandir}/man1/rexec.1*

%files -n rexecd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/rexec
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rexec
%attr(755,root,root) %{_sbindir}/in.rexecd
%{_mandir}/man8/in.rexecd.8*
%{_mandir}/man8/rexecd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rsh.spec,v $
Revision 1.45  2007/03/31 21:36:28  baggins
- rel 13
- added krb5 obsoletes

Revision 1.44  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.42  2007/02/11 13:27:05  baggins
- rel 12
- R: pam >= 0.99.7.1

Revision 1.41  2006/08/03 02:12:43  sparky
- pass rpmldflags

Revision 1.40  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.39  2006/02/26 16:16:07  sparky
- --with-c-compiler=%{__cc} is not enough, rexec was build using "gcc"

Revision 1.38  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.37  2005/05/12 13:22:36  baggins
- release 11
- req pam 0.79

Revision 1.36  2004/10/25 22:03:34  qboosh
- pl fixes, unifications

Revision 1.35  2004/10/24 23:10:03  paladine
- spelling fixes, uppercases, etc.

Revision 1.34  2004/08/19 11:28:33  undefine
- release 10

Revision 1.33  2004/05/27 19:19:03  kali
- URL fix

Revision 1.32  2003/11/23 05:10:53  speedy
- release 9 for AC

Revision 1.31  2003/09/26 14:24:48  baggins
- release 8

Revision 1.30  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.29  2003/05/28 13:01:42  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:26:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/05/29 21:34:35  mkochano
- Release 7.
- SUID root for rlogin, rcp and rsh. They are useless without it.

Revision 1.26  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:14:49  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/12/12 16:19:55  qboosh
- fixed descriptions, added pl ones; release 6

Revision 1.22  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.21  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.20  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/04/30 16:05:30  kloczek
- added using %%{rpmcflags} macro.

Revision 1.17  2001/02/06 04:27:31  kloczek
- release 4.

Revision 1.16  2001/01/26 18:50:42  qboosh
- post/postun scripts moved to rlogind,rexecd packages
- rlogind.init moved to rlogind package

Revision 1.15  2001/01/25 20:03:48  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2001/01/23 10:35:29  kloczek
- added rsh-server to Obsoletes for rlogind and rexecd.

Revision 1.13  2001/01/23 10:32:46  kloczek
- release 3,
- now are builded six subpackages (rsh, rshd, rlogin, rlogind, rexec,
  rexecd); rsh contains also rcp command,
- added Require login for rlogind subpackage,
- spec adapterized and added using rpm automation.

Revision 1.12  2000/12/28 15:20:01  baggins
- release 2
- fixed requires

Revision 1.11  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.10  2000/08/24 21:26:36  pascalek
- update to 0.17

Revision 1.9  2000/06/12 14:20:26  baggins
- fixed Group
- standarized pre/post scripts

Revision 1.8  2000/06/09 17:53:02  baggins
- added rc-inetd configs

Revision 1.7  2000/06/09 17:29:07  baggins
- updated to 0.16.1
- removed old patches
- added patches from rawhide

Revision 1.6  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/02/02 11:05:20  waszi

- small fixes in permissions for pam.d or init.d

Revision 1.2  1999/08/24 13:47:36  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw

* Thu Apr 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- rlogin pam file was missing comment magic

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip rexec

* Fri Mar 26 1999 Jeff Johnson <jbj@redhat.com>
- rexec needs pam_set_item() (#60).
- clarify protocol in rexecd.8.
- add rexec client from contrib.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Sat Apr  5 1998 Marcelo F. Vianna <m-vianna@usa.net>
- Packaged for RH5.0 (Hurricane)

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>
- new pam conventions

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
